Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_Notify_Timer Class Reference

Interface for scheduling timers. More...

`#include <Timer.h>`

Inheritance diagram for TAO_Notify_Timer:

[legend]
Collaboration diagram for TAO_Notify_Timer:

[legend]
List of all members.

## Public Methods
virtual | ~TAO_Notify_Timer ()
| Destructor.
virtual long | schedule_timer (ACE_Event_Handler *handler, const ACE_Time_Value &delay_time, const ACE_Time_Value &interval)=0
| Schedule a timer.
virtual int | cancel_timer (long timer_id)=0
| Cancel Timer.

## Detailed Description

Interface for scheduling timers.

## Constructor & Destructor Documentation

virtual TAO_Notify_Timer::~TAO_Notify_Timer | ( |  | ) | `[inline, virtual]`

| Destructor.

## Member Function Documentation

virtual int TAO_Notify_Timer::cancel_timer | ( | long | timer_id | ) | `[pure virtual]`

| Cancel Timer. Implemented in TAO_Notify_Timer_Queue, and TAO_Notify_Timer_Reactor.

virtual long TAO_Notify_Timer::schedule_timer | ( | ACE_Event_Handler * | handler,
|  | const ACE_Time_Value & | delay_time,
|  | const ACE_Time_Value & | interval
| ) | `[pure virtual]`

| Schedule a timer. Implemented in TAO_Notify_Timer_Queue, and TAO_Notify_Timer_Reactor.

The documentation for this class was generated from the following file:

- Timer.h